Subject: [pim] Robert Wilton's No Objection on draft-ietf-pim-bfd-p2mp-use-case-09: (with COMMENT)

From: Robert Wilton via Datatracker <[email-masked]>
Date: Mon, 29 Nov 2021 03:23:05 -0800

Robert Wilton has entered the following ballot position for
draft-ietf-pim-bfd-p2mp-use-case-09: No Objection

When responding, please keep the subject line intact and reply to all
email addresses included in the To and CC lines. (Feel free to cut this
introductory paragraph, however.)

Please refer to https://www.ietf.org/blog/handling-iesg-ballot-positions/
for more information about how to handle DISCUSS and COMMENT positions.

The document, along with other ballot positions, can be found here:
https://datatracker.ietf.org/doc/draft-ietf-pim-bfd-p2mp-use-case/

----------------------------------------------------------------------
COMMENT:
----------------------------------------------------------------------

Hi,

I was surprised by both of the statements in section 2.3 (but that may just be
due to my lack of BFD expertise):

1. Wouldn't the base BFD protocol specify the TTL or Hop Limit?  Or is there a
special/different consideration when BFD is being used for this use case that
justifies RFC 2119 language?

2. This may just be my lack of BFD knowledge because I had assumed that BFD
sessions could be shared between different protocols wanting fast failure
detection, and hence I was surprised that the p2mp BFD session MUST be targeted
to the ALL-PIM-ROUTERs multicast address?

Thanks,
Rob

---

From: Greg Mirsky <[email-masked]>
Date: Mon, 29 Nov 2021 06:51:50 -0800

Hi Rob,
thank you for the review and comments. Please find my notes in-lined below
under the GIM>> tag.

Regards,
Greg

> https://datatracker.ietf.org/doc/draft-ietf-pim-bfd-p2mp-use-case/
GIM>> BFD base specification (RFC 5880) requires using GTSM in a single-hop
case. In a multi-hop BFD (RFC 5883), setting TTL/Hop Limit to 255 as a
security/antispoofing measure doesn't work across multiple hops. BFD for
multipoint networks (p2mp) might also be applied in single-hop and
multi-hop environments but there's no discussion of TTL/Hop Limit use in
RFC 8562. Since this document specifies the use of p2mp BFD over a single
hop, we've found it necessary to use the normative language in regard to
the handling of TT:/Hop Limit values. I hope I didn't make it more
confusing.

> to the ALL-PIM-ROUTERs multicast address?
GIM>> That is an interesting question. You're absolutely right pointing
that a p2p BFD session may be used to monitor continuity between BFD
systems for a number of applications, e.g., routing protocols. For the case
of BFD for multipoint networks, it seems that a p2mp BFD session needs to
be per the multicast distribution tree. Thus, we require the use of the
ALL-PIM-ROUTERS multicast address. What do you think?

---

From: "Rob Wilton (rwilton)" <[email-masked]>
Date: Mon, 29 Nov 2021 15:15:04 +0000

Hi Greg,

Thanks for your explanations, please see inline.

From: Greg Mirsky <[email-masked]>
Sent: 29 November 2021 14:52
To: Rob Wilton (rwilton) <[email-masked]>
Cc: The IESG <[email-masked]>; [email-masked]; [email-masked]; [email-masked]; [email-masked]; Alvaro Retana <[email-masked]>
Subject: Re: Robert Wilton's No Objection on draft-ietf-pim-bfd-p2mp-use-case-09: (with COMMENT)

Hi Rob,
thank you for the review and comments. Please find my notes in-lined below under the GIM>> tag.

Regards,
Greg

On Mon, Nov 29, 2021 at 3:23 AM Robert Wilton via Datatracker <[email-masked]<mailto:[email-masked]>> wrote:
Robert Wilton has entered the following ballot position for
draft-ietf-pim-bfd-p2mp-use-case-09: No Objection

Hi,

1. Wouldn't the base BFD protocol specify the TTL or Hop Limit?  Or is there a
special/different consideration when BFD is being used for this use case that
justifies RFC 2119 language?
GIM>> BFD base specification (RFC 5880) requires using GTSM in a single-hop case. In a multi-hop BFD (RFC 5883), setting TTL/Hop Limit to 255 as a security/antispoofing measure doesn't work across multiple hops. BFD for multipoint networks (p2mp) might also be applied in single-hop and multi-hop environments but there's no discussion of TTL/Hop Limit use in RFC 8562. Since this document specifies the use of p2mp BFD over a single hop, we've found it necessary to use the normative language in regard to the handling of TT:/Hop Limit values. I hope I didn't make it more confusing.

Okay.  It is up to you, but I would suggest ensuring that the document is clear that:

  1.  This document only specifies support for PIM using BFD over a single-hop (this wasn’t obvious to me).
  2.  Possibly add a sentence or clause to explain why the TTL is being restricted.

GIM>> That is an interesting question. You're absolutely right pointing that a p2p BFD session may be used to monitor continuity between BFD systems for a number of applications, e.g., routing protocols. For the case of BFD for multipoint networks, it seems that a p2mp BFD session needs to be per the multicast distribution tree. Thus, we require the use of the ALL-PIM-ROUTERS multicast address. What do you think?

Again, thank you for the explanation, and I think that make sense.  Possibly the document could be clearer that it requires a separate BFD session per multicast distribution tree?  But again, I will leave it your discretion to decide whether you think that clarification would be helpful.

Regards,
Rob

Thanks,
Rob